org.keycloak.executors

## Class DefaultExecutorsProviderFactory

- java.lang.Object
- - org.keycloak.executors.DefaultExecutorsProviderFactory

- All Implemented Interfaces:
    ExecutorsProviderFactory, ProviderFactory<ExecutorsProvider>

      public class DefaultExecutorsProviderFactory
      extends Object
      implements ExecutorsProviderFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExecutorsProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ExecutorsProvider` | `create(KeycloakSession session)`
    `protected ExecutorService` | `createPoolEmbedded(String taskType, KeycloakSession session)`
    `protected ThreadFactory` | `createThreadFactory(String taskType, KeycloakSession session)`
    `protected void` | `detectManaged()`
    `protected ExecutorService` | `getExecutor(String taskType, KeycloakSession session)`
    `String` | `getId()`
    `protected ExecutorService` | `getPoolManaged(String taskType, KeycloakSession session)`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `protected ExecutorService` | `retrievePool(String taskType, KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### DefaultExecutorsProviderFactory

          public DefaultExecutorsProviderFactory()

  - ### Method Detail

    - #### create

          public ExecutorsProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ExecutorsProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ExecutorsProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ExecutorsProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ExecutorsProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ExecutorsProvider>`

    - #### getExecutor

          protected ExecutorService getExecutor(String taskType,
                                                KeycloakSession session)

    - #### retrievePool

          protected ExecutorService retrievePool(String taskType,
                                                 KeycloakSession session)

    - #### detectManaged

          protected void detectManaged()

    - #### getPoolManaged

          protected ExecutorService getPoolManaged(String taskType,
                                                   KeycloakSession session)

    - #### createPoolEmbedded

          protected ExecutorService createPoolEmbedded(String taskType,
                                                       KeycloakSession session)

    - #### createThreadFactory

          protected ThreadFactory createThreadFactory(String taskType,
                                                      KeycloakSession session)

Copyright © 2020 JBoss by Red Hat. All rights reserved.